## section 2, descrptive statistics
#Table 1:  covid personal experience
prop <- c(0.08,  0.03, 0.07, 0.09, 0.17) # not missing it, save more, not affordable, infection risk, other
decrease <-  round(c(0.08*1478,  0.03*1487, 0.07*1474, 0.09*1487, 0.17*1483)) # FR, DEU, IT, NL,SP
decrease
#118  45 103 134 252
pop <- 5*c(1478, 1487,1474, 1487, 1483)
prop.test(decrease, pop)
#X-squared = 179.29, df = 4, p-value < 2.2e-16

N = 5 # number of countries, sample size proxied by 1500
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/1400 + p[j]*(1-p[j])/1400))
    }
   }
   round(cbind(value,critical.range),3)
      # value critical.range
 # [1,]  0.05          0.025 #FR vs DEU
 # [2,]  0.01          0.030 
 # [3,]  0.01          0.031
 # [4,]  0.09          0.037 # FR vs SP
 # [5,]  0.04          0.024 # DEU vs IT
 # [6,]  0.06          0.026 # DEU vs NL
 # [7,]  0.14          0.033. # DEU vs SP
 # [8,]  0.02          0.030
 # [9,]  0.10          0.036 # IT vs SP
# [10,]  0.08          0.038. ## NL vs SP

# DEU and SP diff from all other countries, 


# Table 2: financial concerns, scale from 1 to 5
# Table 3: outlooks on end COVID, distribution between 5 dates
# Table 4: macro expectations, compute Kruskal Wallis tests over each horizon and report it in the note of the table.
# Table 5: trust in gvt on scale from 1 to 5
 
setwd("/Users/isabelle/Dropbox/CovidEconomics/Consumption Dance Phase Data---ACES/Data")
library(haven)
 data <- read_dta("master_readytogo.dta")
 
 kruskal.test(savings ~ country, data = data) 
	# Kruskal-Wallis rank sum test
# data:  savings by country
# Kruskal-Wallis chi-squared = 7.7147, df = 4,
# p-value = 0.1026

  kruskal.test(incomefeel ~ country, data = data) 
 	# Kruskal-Wallis rank sum test
# data:  incomefeel by country
# Kruskal-Wallis chi-squared = 455.73, df = 4,
# p-value < 2.2e-16
 
 kruskal.test(pastunempl ~ country, data = data)
	# Kruskal-Wallis rank sum test
# data:  pastunempl by country
# Kruskal-Wallis chi-squared = 341.45, df = 4,
# p-value < 2.2e-16

 kruskal.test(worryfinance ~ country, data = data)
	# Kruskal-Wallis rank sum test
# data:  worryfinance by country
# Kruskal-Wallis chi-squared = 1078.6, df = 4,
# p-value < 2.2e-16

 kruskal.test(worryjobloss ~ country, data = data)
	# Kruskal-Wallis rank sum test
# data:  worryjobloss by country
# Kruskal-Wallis chi-squared = 391.9, df = 4,
# p-value < 2.2e-16

kruskal.test(crisisend ~ country, data = data)
	# Kruskal-Wallis rank sum test
# data:  crisisend by country
# Kruskal-Wallis chi-squared = 286.37, df = 4,
# p-value < 2.2e-16
 
 
 kruskal.test((unempl_1year-unempl_before)~ country, data = data)
#data:  (unempl_1year - unempl_before) by country
#Kruskal-Wallis chi-squared = 321.26, df = 4,
#p-value < 2.2e-16

kruskal.test(trust ~ country, data = data)
	# Kruskal-Wallis rank sum test
# data:  trust by country
# Kruskal-Wallis chi-squared = 368.32, df = 4,
# p-value < 2.2e-16

kruskal.test(satisfaction ~ country, data = data)
	# Kruskal-Wallis rank sum test
# data:  satisfaction by country
# Kruskal-Wallis chi-squared = 485.87, df = 4,
# p-value < 2.2e-16
