### Figures 1 to 5 for Obs 1: 
# FRA, DEU, ITA, NL, ESP in this order
# Fig. 1, public transport: 
propTransport <- c(0.5608, 0.4944, 0.3368, 0.3696, 0.3682)
pop <- c(1061, 1329, 1354, 1296, 1426) ## 1500 as 
decreaseTransport <- round(propTransport*pop)
decreaseTransport
#595 657 456 479 525
prop.test(decreaseTransport, pop)
#X-squared = 184.3, df = 4, p-value < 2.2e-16 

## Marascuillo procedure to see which differences are significant:
N=5 # nb of countries
value = critical.range = c()
p <- propTransport
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/1060 + p[j]*(1-p[j])/1060))
    }
   }
   round(cbind(value,critical.range),4)
   
# A difference is statistically significant if its value exceeds the critical range value

      # value critical.range
 # [1,] 0.066          0.066   ## 1 versus 2: FRA vs DEU
 # [2,] 0.224          0.064    ## 1 versus 3: FRA vs ITA
 # [3,] 0.191          0.064	  ## 1 versus 4: FRA vs NL
 # [4,] 0.193          0.064	  ## 1 versus 4: FRA vs ESP
 # [5,] 0.158          0.064	  ## 2 versus 3: DEU vs ITA
 # [6,] 0.125          0.065	  ## 2 versus 4: DEU vs NL
 # [7,] 0.126          0.065	  ## 2 versus 4: DEU vs ESP
 # [8,] 0.033          0.063	  ## 3 versus 4: ITA vs NL
 # [9,] 0.031          0.063	  ## 3 versus 4: ITA vs ESP
# [10,] 0.001          0.063	  ## 4 versus 5: NL vs ESP
 
  ## paired comparisons are all significant except diff btw DEU and FR, ESP and Italy, Esp and NL and Italy and NL. 
  
# Fig. 2: travel abroad
propTravel <- c(0.4511, 0.3966, 0.2945, 0.3546, 0.2398)
pop <- c(1064, 1369, 1304, 1362, 1326) ## 1500 as 
decreaseTravel<-  round(propTravel*pop)
decreaseTravel
#480 543 384 483 318
prop.test(decreaseTravel, pop)
#X-squared = 149.62, df = 4, p-value < 2.2e-16

N=5 # nb of countries
value = critical.range = c()
p <- propTravel
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/1060+ p[j]*(1-p[j])/1060))
    }
   }
   round(cbind(value,critical.range),4)

        # value critical.range
 # [1,] 0.0545         0.0660
 # [2,] 0.1566         0.0638
 # [3,] 0.0965         0.0653
 # [4,] 0.2113         0.0620
 # [5,] 0.1021         0.0633
 # [6,] 0.0420         0.0647
 # [7,] 0.1568         0.0614
 # [8,] 0.0601         0.0625
 # [9,] 0.0547         0.0591
# [10,] 0.1148         0.0607

## all diff significant, except FRA vs DEU and DEU vs NL, ITA and SP and ITA and NL

## Fig 3: HORECA
propHORECA <- c(0.5685, 0.4921, 0.4335, 0.432, 0.3419)
pop <- c(1372, 1449, 1474, 1456, 1483) ## 1500 as 
decreaseHORECA<-  round(propHORECA*pop) 
decreaseHORECA
#780 713 639 629 507 
prop.test(decreaseHORECA, pop)
#X-squared = 161.59, df = 4, p-value < 2.2e-16

N=5 # nb of countries
value = critical.range = c()
p <- propHORECA
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/1370 + p[j]*(1-p[j])/1370))
    }
   }
   round(cbind(value,critical.range),4)

      # value critical.range
 # [1,] 0.0764         0.0586
 # [2,] 0.1350         0.0583
 # [3,] 0.1365         0.0583
 # [4,] 0.2266         0.0571
 # [5,] 0.0586         0.0586
 # [6,] 0.0601         0.0586
 # [7,] 0.1502         0.0574
 # [8,] 0.0015         0.0583
 # [9,] 0.0916         0.0571
# [10,] 0.0901         0.0571

# all sign except: ITA vs NL

#Fig 4: services
propServices <- c(0.7395, 0.6552, 0.5409, 0.6548, 0.5296)
pop <- c(1263,1398,1431,1405,1437) ## 1500 as 
decreaseServices<-  round(propServices*pop) 
decreaseServices
#934 916 774 920 761
prop.test(decreaseServices, pop)

#X-squared = 179.18, df = 4, p-value < 2.2e-16

N=5 # nb of countries
value = critical.range = c()
p <- propServices
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/1260 + p[j]*(1-p[j])/1260))
    }
   }
   round(cbind(value,critical.range),4)

       # value critical.range
 # [1,] 0.0843         0.0561
 # [2,] 0.1986         0.0576
 # [3,] 0.0847         0.0561
 # [4,] 0.2099         0.0577
 # [5,] 0.1143         0.0598
 # [6,] 0.0004         0.0583
 # [7,] 0.1256         0.0598
 # [8,] 0.1139         0.0598
 # [9,] 0.0113         0.0612
# [10,] 0.1252         0.0598

# all sign except: DEU vs NL and ITA vs Spain

## Fig 5: retail
propRetail <- c(0.6448, 0.6039, 0.4794, 0.5078, 0.4789)
pop <- c(1430,1482,1481,1477,1491) ## 1500 as 
decreaseRetail<-  round(propRetail*pop) 
decreaseRetail 
# 922 895 710 750 714
prop.test(decreaseRetail, pop)

#X-squared = 137.99, df = 4, p-value < 2.2e-16

N=5 # nb of countries
value = critical.range = c()
p <- propRetail
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/1430 + p[j]*(1-p[j])/1430))
    }
   }
   round(cbind(value,critical.range),4)

      # value critical.range
 # [1,] 0.0409         0.0557
 # [2,] 0.1654         0.0564
 # [3,] 0.1370         0.0564
 # [4,] 0.1659         0.0563
 # [5,] 0.1245         0.0569
 # [6,] 0.0961         0.0570
 # [7,] 0.1250         0.0569
 # [8,] 0.0284         0.0576
 # [9,] 0.0005         0.0575
# [10,] 0.0289         0.0576

# all sign except FRA vs DEU, SP vs NL, SP vs IT and IT vs NL (so Spain, Italy and the NL similar)

# conclusion: Obs 1 is supported by the statistical tests, except that IT and SP are not different from the NL regarding retail and transport (but different from DEU and GER for the five sectors)

#####
#### Obs 2: comparison between sectors within each country
#####
# France:
prop <- c(0.5608,  0.4511, 0.5685, 0.7395, 0.6448 ) # transport; travel; HORECA; services; retail
pop <- c(1061,1064,1372,1263,1430) ## 1500 as 
decrease <- round(prop*pop)
decrease
#595 480 780 934 922
prop.test(decrease, pop)

#X-squared = 224.98, df = 4, p-value < 2.2e-16

N=5 # nb of sectors
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/1060 + p[j]*(1-p[j])/1060))
    }
   }
   round(cbind(value,critical.range),3)
   
        # value critical.range
 # [1,] 0.110          0.066     transport vs travel
 # [2,] 0.008          0.066      transport vs HORECA
 # [3,] 0.179          0.063     transport vs services
 # [4,] 0.084          0.065    transport vs retail
 # [5,] 0.117          0.066    travel vs HORECA
 # [6,] 0.288          0.063   travel vs services
 # [7,] 0.194          0.065  travel vs retail
 # [8,] 0.171          0.063  HORECA vs services
 # [9,] 0.076          0.065.    HORECA vs retail
# [10,] 0.095          0.062    services vs retail

# all cross-sectors diff significant in France, except transport and HORECA, note the very high stat for the diff between tourims and services

# DEU
prop <- c(0.4944,  0.3966, 0.4921, 0.6552, 0.6039 ) # transport; travel; HORECA; services; retail
pop <- c(1329,1369,1449,1398,1482) ## 1500 as 
decrease <- round(prop*pop)
decrease 
#657 543 713 916 895
prop.test(decrease, pop)

#X-squared = 233.39, df = 4, p-value < 2.2e-16

N=5 # nb of sectors
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/1329 + p[j]*(1-p[j])/1329))
    }
   }
   round(cbind(value,critical.range),3)
    
      # value critical.range
 # [1,] 0.098          0.059
 # [2,] 0.002          0.060
 # [3,] 0.161          0.058
 # [4,] 0.109          0.059
 # [5,] 0.095          0.059
 # [6,] 0.259          0.058
 # [7,] 0.207          0.058
 # [8,] 0.163          0.058
 # [9,] 0.112          0.059
# [10,] 0.051          0.058

# every diff btw sectors signi in Germany except: transport vs HORECA and services vs retail. Again very high stat between tourism and services

## ITA
prop <- c(0.3368,  0.2945, 0.4335, 0.5409, 0.4794 ) # transport; travel; HORECA; services; retail
pop <- c(1354,1304,1474,1431,1481) ## 1500 as 
decrease <- round(prop*pop)
decrease 
#456 384 639 774 710
prop.test(decrease, pop)
#X-squared = 231.12, df = 4, p-value < 2.2e-16

N=5 # nb of sectors
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/1300 + p[j]*(1-p[j])/1300))
    }
   }
   round(cbind(value,critical.range),3)
   
      # value critical.range 
 # [1,] 0.042          0.056
 # [2,] 0.097          0.059
 # [3,] 0.204          0.059
 # [4,] 0.143          0.059
 # [5,] 0.139          0.058
 # [6,] 0.246          0.058
 # [7,] 0.185          0.058
 # [8,] 0.107          0.060
 # [9,] 0.046          0.060
# [10,] 0.062          0.060

## in Italy, all cross sector diff sign, except transport vs travel and HORECA vs retail, again very high stat between tourism and services  

## NL
prop <- c(0.3696,  0.3546, 0.432, 0.6548, 0.4922) # transport; travel; HORECA; services; retail
pop <- c(1296,1362,1456,1405,1481) ## 1500 as 
decrease <- round(prop*pop)
decrease 
# 479 483 629 920 729
prop.test(decrease, pop)

#X-squared = 328.43, df = 4, p-value < 2.2e-16

N=5 # nb of sectors
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/1300 + p[j]*(1-p[j])/1300))
    }
   }
   round(cbind(value,critical.range),4)
   
       # value critical.range
 # [1,] 0.0150         0.0581
 # [2,] 0.0624         0.0591
 # [3,] 0.2852         0.0579
 # [4,] 0.1226         0.0594
 # [5,] 0.0774         0.0588
 # [6,] 0.3002         0.0576
 # [7,] 0.1376         0.0591
 # [8,] 0.2228         0.0587
 # [9,] 0.0602         0.0601
# [10,] 0.1626         0.0589

# again very high stat btw tourism and services, all diff sign except transport vs travel

## ESP
prop <- c(0.3682,  0.2398, 0.3419, 0.5296, 0.4789) # transport; travel; HORECA; services; retail
pop <- c(1426,1362,1483,1437,1491) ## 1500 as 
decrease <- round(prop*pop)
decrease 
# 525 327 507 761 714
prop.test(decrease, pop)

	#X-squared = 311.69, df = 4, p-value < 2.2e-16

N=5 # nb of sectors
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/1360 + p[j]*(1-p[j])/1360))
    }
   }
   round(cbind(value,critical.range),4)
   
     # value critical.range
 # [1,] 0.1284         0.0538
 # [2,] 0.0263         0.0565
 # [3,] 0.1614         0.0580
 # [4,] 0.1107         0.0580
 # [5,] 0.1021         0.0533
 # [6,] 0.2898         0.0549
 # [7,] 0.2391         0.0549
 # [8,] 0.1877         0.0575
 # [9,] 0.1370         0.0575
# [10,] 0.0507         0.0590

# in Spain, same as the other countries, all sign, in particular tourism vs services, except transport vs HORECA and services vs retail

