### comparisons across reasons for decreasing consumption (Section 3.3)
# Finding 3: infection risk in transport (on aggregate data):Figure 7
prop <- c(0.1183,  0.08624, 0.0389, 0.6126, 0.1439) # not missing it, save more, not affordable, infection risk, other
pop <- c(3754,3754,3754,3754,3754)  
decrease <- round(prop*pop)
decrease 
# 444  324  146 2300  540
prop.test(decrease, pop)
#X-squared = 5138.7, df = 4, p-value < 2.2e-16

N = 5 # number of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/3700 + p[j]*(1-p[j])/3700))
    }
   }
   round(cbind(value,critical.range),3)
         # value critical.range
      # value critical.range
 # [1,] 0.032          0.022.  # not missing vs save
 # [2,] 0.079          0.019.   # not missing vs affordability
 # [3,] 0.494          0.030.    # not missing vs infection risk
 # [4,] 0.026          0.024.     # not missing vs other
 # [5,] 0.047          0.017.    #save vs affordability
 # [6,] 0.526          0.028.    # save vs infection
 # [7,] 0.058          0.023.  # save vs other
 # [8,] 0.574          0.027.   # affordability vs infection
 # [9,] 0.105          0.020.   # affordability vs other
# [10,] 0.469          0.030.  # other vs infection
## in transport, over all countries, clearly infection risk has a significantly higher share of respondents.

## Finding 3: infection risk in travels on aggregate data (Fig 7)
prop <- c(0.1056,  0.1215, 0.1331, 0.5298, 0.11) # not missing it, save more, not affordable, infection risk, other
pop <- c(4217,4217,4217,4217,4217)  
decrease <- round(prop*pop)
decrease 
#445  512  561 2234  464
prop.test(decrease, pop)
# X-squared = 3596.2, df = 4, p-value < 2.2e-16
N = 5 # number of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/4200 + p[j]*(1-p[j])/4200))
    }
   }
   round(cbind(value,critical.range),4)
# X-squared = 6397.1, df = 4, p-value < 2.2e-16
       # value critical.range
 # [1,] 0.0159         0.0213 non
 # [2,] 0.0275         0.0218
 # [3,] 0.4242         0.0279
 # [4,] 0.0044         0.0208 non
 # [5,] 0.0116         0.0224 non
 # [6,] 0.4083         0.0284
 # [7,] 0.0115         0.0215
 # [8,] 0.3967         0.0287
 # [9,] 0.0231         0.0220
# [10,] 0.4198         0.0280
# in travel, over all countries, clearly infection risk first reason

# Finding 3: infection risk in services (Fig 8)
prop <- c(0.1615,  0.197, 0.1118, 0.4179, 0.1118) # transport; travel; HORECA; services; retail
pop <- c(2629,2629,2629,2629,2629)  
decrease <- round(prop*pop)
decrease 
#425  518  294 1099  294
prop.test(decrease, pop)
#X-squared = 1060.6, df = 4, p-value < 2.2e-16
   N = 5 # number of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/2600 + p[j]*(1-p[j])/2600))
    }
   }
   round(cbind(value,critical.range),4)
          # value critical.range
 # [1,] 0.0355         0.0327
 # [2,] 0.0497         0.0293
 # [3,] 0.2564         0.0372
 # [4,] 0.0497         0.0293
 # [5,] 0.0852         0.0307
 # [6,] 0.2209         0.0383
 # [7,] 0.0852         0.0307
 # [8,] 0.3061         0.0354
 # [9,] 0.0000         0.0269
# [10,] 0.3061         0.0354
# again, clearly infection risk is number one in services across all countries
   
# Finding 3:infection risk in HORECA (Fig 9)
prop <- c(0.01513, 0.1558, 0.1657, 0.1046, 0.4796, 0.07917) # not missing it, save more, not affordable, infection risk, other
pop <- c(3966,3966,3966,3966,3966,3966)  
decrease <- round(prop*pop)
decrease 
# 60  618  657  415 1902  314
prop.test(decrease, pop)
#X-squared = 3783.5, df = 5, p-value < 2.2e-16

N = 6 # number of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/4000 + p[j]*(1-p[j])/4000))
    }
   }
   round(cbind(value,critical.range),3)

      # value critical.range
 # [1,] 0.141          0.019   on line vs not missing
 # [2,] 0.151          0.019	online vs save more
 # [3,] 0.089           0.016    online vs not affordable
 # [4,] 0.464          0.025   online vs infection risk 
 # [5,] 0.064         0.014.    online vs other
 # [6,] 0.010          0.025.  not missing vs save more
 # [7,] 0.051           0.023.  not missing vs not affordable
 # [8,] 0.324          0.03   not missing vs infection risk 
 # [9,] 0.077         0.022  not missing vs other
# [10,] 0.061          0.023.   save more vs not affordable
# [11,] 0.314          0.030    save more vs infection risk 
# [12,] 0.087          0.022    save more vs other
# [13,] 0.375          0.029 not affordable vs infection risk 
# [14,] 0.025            0.020. not affordbale vs other
# [15,] 0.400          0.028.  infetion risk vs other
# in HORECA, over all countries, infection risk clearly first

# Finding 3  in retail, Fig 10 (over all countries)
prop <- c(0.1181,  0.1528, 0.1635, 0.07092, 0.4294, 0.06528) # transport; travel; HORECA; services; retail 
pop <- c(3370,3370,3370,3370,3370,3370)  
decrease <- round(prop*pop)
decrease 
#398  515  551  239 1447  220
prop.test(decrease, pop)
#X-squared = 2208.6, df = 5, p-value < 2.2e-16

N = 6 # number of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/3300 + p[j]*(1-p[j])/3300))
    }
   }
   round(cbind(value,critical.range),3)
   
      # value critical.range
 # [1,] 0.035          0.026
 # [2,] 0.045          0.026
 # [3,] 0.047          0.022
 # [4,] 0.311          0.032
 # [5,] 0.053          0.022
 # [6,] 0.011          0.028
 # [7,] 0.082          0.024
 # [8,] 0.277          0.033
 # [9,] 0.088          0.023
# [10,] 0.093          0.024
# [11,] 0.266          0.033
# [12,] 0.098          0.024
# [13,] 0.358          0.030
# [14,] 0.006          0.019
# [15,] 0.364          0.030
# idem in retail


### Finding 4: change in preferences substantial, second one in FR, NL and DE
# FR, transport
prop <- c(0.1619,0.07982,0.03991,0.6053,0.1131) # not missing it, save more, not affordable, infection risk, other
pop <- c(466,466,466,466,466)  
decrease <- round(prop*pop)
decrease 
# 444  324  146 2300  540
prop.test(decrease, pop)
#X-squared = 620.4, df = 4, p-value < 2.2e-16

N = 5 # number of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/466 + p[j]*(1-p[j])/466))
    }
   }
   round(cbind(value,critical.range),3)
         # value critical.range
 # [1,] 0.082          0.065.   not missing vs save 
 # [2,] 0.122          0.060.    not missing vs affordable
 # [3,] 0.443          0.087.    not missing infection
 # [4,] 0.049          0.069.   not missing other
 # [5,] 0.040          0.048.    save more vs affordable
 # [6,] 0.525          0.080.   save more vs infection
 # [7,] 0.033          0.059.   save more versus other
 # [8,] 0.565          0.075.   not affordable vs infection
 # [9,] 0.073          0.053 affordable vs other
# [10,] 0.492          0.083.   infection vs other
   
   # FR, travel
prop <- c(0.1649,0.1123,0.1684,0.4368,0.1175) # not missing it, save more, not affordable, infection risk, other
pop <- c(584,584,584,584,584)  
decrease <- round(prop*pop)
decrease 
# 96  66  98 255  69
prop.test(decrease, pop)
#X-squared = 264.88, df = 4, p-value < 2.2e-16

N = 5 # number of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/584 + p[j]*(1-p[j])/584))
    }
   }
   round(cbind(value,critical.range),3)
      # value critical.range
 # [1,] 0.053          0.062
 # [2,] 0.004          0.067
 # [3,] 0.272          0.079
 # [4,] 0.047          0.063
 # [5,] 0.056          0.062
 # [6,] 0.324          0.075
 # [7,] 0.005          0.057
 # [8,] 0.268          0.079
 # [9,] 0.051          0.063
# [10,] 0.319          0.075
   
## services
prop <- c(0.2336,0.1931,0.1464,0.3022,0.1246) # not missing it, save more, not affordable, infection risk, other
popSize <- 329
pop <- c(popSize,popSize,popSize,popSize,popSize)
  decrease <- round(popSize*prop)
  decrease
prop.test(decrease, pop)
#X-squared = 41.087, df = 4, p-value =2.579e-08

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),3)
   
         # value critical.range
 # [1,] 0.041          0.069 no
 # [2,] 0.087          0.065
 # [3,] 0.069          0.074 no
 # [4,] 0.109          0.064
 # [5,] 0.047          0.063 no
 # [6,] 0.109          0.072
 # [7,] 0.068          0.061
 # [8,] 0.156          0.069
 # [9,] 0.022          0.057 no
# [10,] 0.178          0.067

## HORECA
prop <- c(0.03014,0.1875,0.1402,0.1436,0.4223,0.07601) # not missing it, save more, not affordable, infection risk, other
popSize <-592
pop <- c(popSize,popSize,popSize,popSize,popSize,popSize)
  decrease <- round(popSize*prop)
  decrease
prop.test(decrease, pop)
#X-squared = 399.81, df = 5, p-value < 2.2e-16

N=6 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),3)
   
         # value critical.range
 # [1,] 0.157          0.054.  online not missing
 # [2,] 0.110          0.049 inline save
 # [3,] 0.113          0.049 online afford
 # [4,] 0.392          0.066 on line infection
 # [5,] 0.046          0.040 online other
 # [6,] 0.047          0.066 no; missing vs save
 # [7,] 0.044          0.066. no: missing affordable
 # [8,] 0.235          0.080.   missing vs infection
 # [9,] 0.111          0.060.  missing vs other
# [10,] 0.003          0.062.  no: save vs affordable
# [11,] 0.282          0.076 save infection
# [12,] 0.064          0.055. save vs other
# [13,] 0.279          0.077. afford vs infection
# [14,] 0.068          0.056 afford vs other
# [15,] 0.346          0.071 infection vs other

# retail
prop <- c(0.1673,0.2461,0.1142,0.06299,0.3189,0.09055) # not missing it, save more, not affordable, infection risk, other
popSize <-508
pop <- c(popSize,popSize,popSize,popSize,popSize,popSize)
  decrease <- round(popSize*prop)
  decrease
prop.test(decrease, pop)
#X-squared = 178.4, df = 5, p-value < 2.2e-16

N=6 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),3)
      # value critical.range
 # [1,] 0.079          0.078
 # [2,] 0.053          0.067 no
 # [3,] 0.104          0.061
 # [4,] 0.152          0.082
 # [5,] 0.077          0.064
 # [6,] 0.132          0.073
 # [7,] 0.183          0.068
 # [8,] 0.073          0.087 no
 # [9,] 0.156          0.071
# [10,] 0.051          0.055 no
# [11,] 0.205          0.077
# [12,] 0.024          0.059 no
# [13,] 0.256          0.072
# [14,] 0.028          0.051 no
# [15,] 0.228          0.075

### DEU 
#transport    
   popSize <- 672
pop <- c(popSize,popSize,popSize,popSize,popSize)
 prop <- c(0.1448,0.0909,0.03049,0.5579,0.1677) # not missing, save, affordable, infection, other
 decrease <- round(popSize*prop)
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),4)      
   # value critical.range
 # [1,] 0.054          0.054 no
 # [2,] 0.114          0.047
 # [3,] 0.413          0.072
 # [4,] 0.023          0.061
 # [5,] 0.060          0.040
 # [6,] 0.467          0.068
 # [7,] 0.077          0.056
 # [8,] 0.527          0.062
 # [9,] 0.137          0.049
# [10,] 0.390          0.074

#travel
    popSize <- 826
pop <- c(popSize,popSize,popSize,popSize,popSize)
 prop <- c(0.1532,0.1152,0.1115,0.4951,0.125) # not missing, save, affordable, infection, other
 decrease <- round(popSize*prop)
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),3) 
   #   value critical.range
 # [1,] 0.038          0.052 no
 # [2,] 0.042          0.051 no
 # [3,] 0.342          0.066
 # [4,] 0.028          0.052
 # [5,] 0.004          0.048
 # [6,] 0.380          0.064
 # [7,] 0.010          0.049
 # [8,] 0.384          0.063
 # [9,] 0.013          0.049
# [10,] 0.370          0.064

# services
 popSize <-482
pop <- c(popSize,popSize,popSize,popSize,popSize)
 prop <- c(0.1916,0.1663,0.09895,0.3916,0.1516) # not missing, save, affordable, infection, other
 decrease <- round(popSize*prop)
prop.test(decrease, pop)

N=5# nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),3)
      # value critical.range
 # [1,] 0.025          0.076 no
 # [2,] 0.093          0.069
 # [3,] 0.200          0.088
 # [4,] 0.040          0.075
 # [5,] 0.067          0.067
 # [6,] 0.225          0.086
 # [7,] 0.015          0.073
 # [8,] 0.293          0.080
 # [9,] 0.053          0.065
# [10,] 0.240          0.085

# HORECA
popSize <- 736
pop <- c(popSize,popSize,popSize,popSize,popSize,popSize)
 prop <- c(0.01359,0.2079,0.163,0.07065,0.4334,0.1114) # not missing, save, affordable, infection, other
 decrease <- round(popSize*prop)
prop.test(decrease, pop)

N=6 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),3)
      # value critical.range
 # [1,] 0.194          0.048
 # [2,] 0.149          0.044
 # [3,] 0.057          0.032
 # [4,] 0.420          0.058
 # [5,] 0.098          0.038
 # [6,] 0.045          0.062
 # [7,] 0.137          0.054
 # [8,] 0.226          0.073
 # [9,] 0.096          0.058
# [10,] 0.092          0.051
# [11,] 0.270          0.070
# [12,] 0.052          0.055
# [13,] 0.363          0.063
# [14,] 0.041          0.046
# [15,] 0.322          0.067

# retail
popSize <- 587
pop <- c(popSize,popSize,popSize,popSize,popSize,popSize)
 prop <- c(0.09029,0.2095,0.155,0.04429,0.4191,0.08177) # not missing, save, affordable, infection, other
 decrease <- round(popSize*prop)
prop.test(decrease, pop)

N=6 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),3)
      # value critical.range
 # [1,] 0.119          0.063
 # [2,] 0.065          0.059
 # [3,] 0.046          0.045
 # [4,] 0.329          0.073
 # [5,] 0.009          0.050
 # [6,] 0.054          0.069
 # [7,] 0.165          0.058
 # [8,] 0.210          0.081
 # [9,] 0.128          0.062
# [10,] 0.111          0.053
# [11,] 0.264          0.078
# [12,] 0.073          0.058
# [13,] 0.375          0.068
# [14,] 0.037          0.044
# [15,] 0.337          0.072


### Italy
# transport
    popSize <- 898
pop <- c(popSize,popSize,popSize,popSize,popSize)
 prop <- c(0.1368,0.131,0.04253,0.5943,0.0954) # not missing, save, affordable, infection, other
 decrease <- round(popSize*prop)
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),3)
   #     value critical.range
 # [1,] 0.006          0.050.  missing vs save
 # [2,] 0.094          0.041
 # [3,] 0.458          0.062
 # [4,] 0.041          0.046
 # [5,] 0.088          0.040
 # [6,] 0.463          0.061
 # [7,] 0.036          0.046
 # [8,] 0.552          0.055
 # [9,] 0.053          0.037
# [10,] 0.499          0.059

  # travel
      popSize <- 920
pop <- c(popSize,popSize,popSize,popSize,popSize)
 prop <- c(0.1115,0.1616,0.1817,0.4693,0.07581) # not missing, save, affordable, infection, other
 decrease <- round(920*prop)
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),3) 
        # value critical.range
 # [1,] 0.050          0.049
 # [2,] 0.070          0.051
 # [3,] 0.358          0.060
 # [4,] 0.036          0.042
 # [5,] 0.020          0.054
 # [6,] 0.308          0.063
 # [7,] 0.086          0.046
 # [8,] 0.288          0.064
 # [9,] 0.106          0.047
# [10,] 0.393          0.057

  # services
   popSize <- 482
pop <- c(popSize,popSize,popSize,popSize,popSize)
 prop <- c(0.1876,0.2822,0.1395,0.338,0.05271) # not missing, save, affordable, infection, other
 decrease <- round(popSize*prop)
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),3)
         # value critical.range
 # [1,] 0.095          0.084
 # [2,] 0.048          0.073
 # [3,] 0.150          0.086
 # [4,] 0.135          0.063
 # [5,] 0.143          0.080
 # [6,] 0.056          0.092
 # [7,] 0.229          0.070
 # [8,] 0.198          0.082
 # [9,] 0.087          0.058
# [10,] 0.285          0.073

   # HORECA
popSize <- 835
pop <- c(popSize,popSize,popSize,popSize,popSize,popSize)
 prop <- c(0.01796,0.1772,0.2611,0.1329,0.3665,0.04431) # not missing, save, affordable, infection, other
 decrease <- round(835*prop)
prop.test(decrease, pop)

N=6 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),3)
   #      value critical.range
 # [1,] 0.159          0.043
 # [2,] 0.243          0.049
 # [3,] 0.115          0.039
 # [4,] 0.349          0.053
 # [5,] 0.026          0.026
 # [6,] 0.084          0.062
 # [7,] 0.044          0.054
 # [8,] 0.189          0.066
 # [9,] 0.133          0.046
# [10,] 0.128          0.059
# [11,] 0.105          0.070
# [12,] 0.217          0.052
# [13,] 0.234          0.063
# [14,] 0.089          0.042
# [15,] 0.322          0.056

   # retail
   popSize <- 771
pop <- c(popSize,popSize,popSize,popSize,popSize,popSize)
 prop <- c(0.1193,0.1595,0.2529,0.1154,0.3243,0.02853) # not missing, save, affordable, infection, other
 decrease <- round(771*prop)
prop.test(decrease, pop)

N=6 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),4)
         # value critical.range
 # [1,] 0.040          0.054
 # [2,] 0.134          0.060
 # [3,] 0.004          0.050
 # [4,] 0.205          0.063
 # [5,] 0.091          0.040
 # [6,] 0.093          0.063
 # [7,] 0.044          0.054
 # [8,] 0.165          0.066
 # [9,] 0.131          0.045
# [10,] 0.138          0.060
# [11,] 0.071          0.071
# [12,] 0.224          0.052
# [13,] 0.209          0.063
# [14,] 0.087          0.040
# [15,] 0.296          0.055

 ### NL
 # transport 
      popSize <- 800
pop <- c(popSize,popSize,popSize,popSize,popSize)
 prop <- c(0.1141,0.04467,0.05087,0.5434,0.2469) # not missing, save, affordable, infection, other
 decrease <- round(popSize*prop)
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),3)
         # value critical.range
 # [1,] 0.069          0.041
 # [2,] 0.063          0.042
 # [3,] 0.429          0.064
 # [4,] 0.133          0.058
 # [5,] 0.006          0.033
 # [6,] 0.499          0.059
 # [7,] 0.202          0.052
 # [8,] 0.493          0.059
 # [9,] 0.196          0.053
# [10,] 0.296          0.072

   # travel
 popSize <- 879
pop <- c(popSize,popSize,popSize,popSize,popSize)
 prop <- c(0.08018,0.0818,0.126,0.567,0.1466) # not missing, save, affordable, infection, other
 decrease <- round(popSize*prop)
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),3)
        # value critical.range
 # [1,] 0.002          0.040
 # [2,] 0.046          0.045
 # [3,] 0.487          0.059
 # [4,] 0.066          0.046
 # [5,] 0.044          0.045
 # [6,] 0.485          0.059
 # [7,] 0.065          0.046
 # [8,] 0.441          0.062
 # [9,] 0.021          0.050
# [10,] 0.420          0.063

   # services
      popSize <- 485
pop <- c(popSize,popSize,popSize,popSize,popSize)
 prop <- c(0.1414,0.1123,0.1289,0.4241,0.1933) # not missing, save, affordable, infection, other
 decrease <- round(popSize*prop)
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),3)
         # value critical.range
 # [1,] 0.029          0.066
 # [2,] 0.013          0.068
 # [3,] 0.283          0.085
 # [4,] 0.052          0.074
 # [5,] 0.017          0.064
 # [6,] 0.312          0.082
 # [7,] 0.081          0.071
 # [8,] 0.295          0.084
 # [9,] 0.064          0.072
# [10,] 0.231          0.088

   #HORECA
      popSize <- 827
pop <- c(popSize,popSize,popSize,popSize,popSize,popSize)
 prop <- c(0.0129,0.1463,0.08585,0.1233,0.5042,0.1282) # not missing, save, affordable, infection, other
 decrease <- round(popSize*prop)
prop.test(decrease, pop)

N=6 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),3)
   #      value critical.range
 # [1,] 0.133          0.040
 # [2,] 0.073          0.032
 # [3,] 0.110          0.037
 # [4,] 0.491          0.055
 # [5,] 0.115          0.038
 # [6,] 0.060          0.048
 # [7,] 0.023          0.052
 # [8,] 0.358          0.066
 # [9,] 0.018          0.052
# [10,] 0.037          0.046
# [11,] 0.418          0.061
# [12,] 0.042          0.047
# [13,] 0.381          0.064
# [14,] 0.005          0.050
# [15,] 0.376          0.064

   #retail
      popSize <- 727
pop <- c(popSize,popSize,popSize,popSize,popSize,popSize)
 prop <- c(0.1142,0.1073,0.1004,0.07153,0.5103,0.09629) # not missing, save, affordable, infection, other
 decrease <- round(727*prop)
prop.test(decrease, pop)

N=6 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),3) 
         value critical.range
 # [1,] 0.007          0.051
 # [2,] 0.014          0.050
 # [3,] 0.043          0.047
 # [4,] 0.396          0.068
 # [5,] 0.018          0.050
 # [6,] 0.007          0.049
 # [7,] 0.036          0.046
 # [8,] 0.403          0.067
 # [9,] 0.011          0.049
# [10,] 0.029          0.045
# [11,] 0.410          0.067
# [12,] 0.004          0.048
# [13,] 0.439          0.064
# [14,] 0.025          0.045
# [15,] 0.414          0.066
   ### SP
   #transport
        popSize <- 901
pop <- c(popSize,popSize,popSize,popSize,popSize)
 prop <- c(0.06271,0.07391,0.0324,0.7368,0.0963) # not missing, save, affordable, infection, other
 decrease <- round(popSize*prop)
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),3)
         value critical.range
 [1,] 0.011          0.037
 [2,] 0.030          0.031
 [3,] 0.674          0.052
 [4,] 0.034          0.039
 [5,] 0.042          0.032
 [6,] 0.663          0.053
 [7,] 0.022          0.040
 [8,] 0.704          0.049
 [9,] 0.064          0.035
[10,] 0.641          0.054

# travel
     popSize <- 1008
pop <- c(popSize,popSize,popSize,popSize,popSize)
 prop <- c(0.05,0.132,0.093,0.633,0.092) # not missing, save, affordable, infection, other
 decrease <- round(popSize*prop)
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),3)
         value critical.range
 # [1,] 0.082          0.039
 # [2,] 0.043          0.035
 # [3,] 0.583          0.051
 # [4,] 0.042          0.035
 # [5,] 0.039          0.043
 # [6,] 0.501          0.057
 # [7,] 0.040          0.043
 # [8,] 0.540          0.055
 # [9,] 0.001          0.040
# [10,] 0.541          0.055

# services
     popSize <- 676
pop <- c(popSize,popSize,popSize,popSize,popSize)
 prop <- c(0.09524,0.1994,0.06548,0.564,0.07589) # not missing, save, affordable, infection, other
 decrease <- round(popSize*prop)
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),3)
        # value critical.range
 # [1,] 0.104          0.059
 # [2,] 0.030          0.045
 # [3,] 0.469          0.068
 # [4,] 0.019          0.047
 # [5,] 0.134          0.056
 # [6,] 0.365          0.075
 # [7,] 0.124          0.057
 # [8,] 0.499          0.066
 # [9,] 0.010          0.043
# [10,] 0.488          0.067

# HORECA
      popSize <- 976
pop <- c(popSize,popSize,popSize,popSize,popSize,popSize)
 prop <- c(0.007172,0.08709,0.1691,0.066,0.625,0.04508) # not missing, save, affordable, infection, other
 decrease <- round(popSize*prop)
prop.test(decrease, pop)

N=6 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),3)    
         # value critical.range
 # [1,] 0.080          0.029
 # [2,] 0.162          0.038
 # [3,] 0.059          0.026
 # [4,] 0.618          0.048
 # [5,] 0.038          0.022
 # [6,] 0.082          0.046
 # [7,] 0.021          0.037
 # [8,] 0.538          0.055
 # [9,] 0.042          0.035
# [10,] 0.103          0.044
# [11,] 0.456          0.060
# [12,] 0.124          0.042
# [13,] 0.559          0.054
# [14,] 0.021          0.032
# [15,] 0.580          0.052

   # retail
      popSize <- 777
pop <- c(popSize,popSize,popSize,popSize,popSize,popSize)
 prop <- c(0.1094,0.08494,0.1725,0.05148,0.538,0.04376) # not missing, save, affordable, infection, other
 decrease <- round(popSize*prop)
prop.test(decrease, pop)

N=6 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/popSize + p[j]*(1-p[j])/popSize))
    }
   }
   round(cbind(value,critical.range),3) 

     # value critical.range
 # [1,] 0.024          0.046
 # [2,] 0.063          0.054
 # [3,] 0.058          0.042
 # [4,] 0.429          0.065
 # [5,] 0.066          0.041
 # [6,] 0.088          0.052
 # [7,] 0.033          0.039
 # [8,] 0.453          0.063
 # [9,] 0.041          0.038
# [10,] 0.121          0.048
# [11,] 0.366          0.069
# [12,] 0.129          0.047
# [13,] 0.487          0.060
# [14,] 0.008          0.033
# [15,] 0.494          0.060


## Finding 4: missing is substantial, in particular in FR, DEU, NL
# transport
pop <- c(466,672,898,817,901)
 prop <- c(0.1619,0.1448,0.1368,0.1141,0.06271) #FR, DEU, ITA, NL, ESP
  decrease <- round(pop*prop)
decrease
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/466 + p[j]*(1-p[j])/466))
    }
   }
   round(cbind(value,critical.range),3)
         # value critical.range
 # [1,] 0.017          0.073 FRA vs DEU
 # [2,] 0.025          0.072 FRA vs ITA
 # [3,] 0.048          0.069 FRA vs NL
 # [4,] 0.099          0.063 FRA vs ESP
 # [5,] 0.008          0.070 DEU vs ITA
 # [6,] 0.031          0.068 DEU vs NL
  # [7,] 0.082          0.061 DEU vs ESP
 # [8,] 0.023          0.067  ITA vs NL
 # [9,] 0.074          0.060 ITA vs ESP
# [10,] 0.051          0.057  NL vs ESP

# travel
pop <- c(584,826,920,879,879)
 prop <- c(0.1649,0.1532,0.1115,0.08018,0.05) #FR, DEU, ITA, NL, ESP
  decrease <- round(pop*prop)
decrease
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/584 + p[j]*(1-p[j])/584))
    }
   }
   round(cbind(value,critical.range),3)
        # value critical.range
 # [1,] 0.012          0.066
 # [2,] 0.053          0.062
 # [3,] 0.085          0.059
 # [4,] 0.115          0.055
 # [5,] 0.042          0.061
 # [6,] 0.073          0.057
 # [7,] 0.103          0.054
 # [8,] 0.031          0.053
 # [9,] 0.062          0.049
# [10,] 0.030          0.044

   # services
pop <- c(329,482,657,485,676)
 prop <- c(0.2336,0.1916,0.1876,0.1414,0.09524) #FR, DEU, ITA, NL, ESP
  decrease <- round(pop*prop)
decrease
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/329 + p[j]*(1-p[j])/329))
    }
   }
   round(cbind(value,critical.range),3)
      # value critical.range
 # [1,] 0.042          0.098
 # [2,] 0.046          0.098
 # [3,] 0.092          0.093
 # [4,] 0.138          0.087
 # [5,] 0.004          0.094
 # [6,] 0.050          0.089
 # [7,] 0.096          0.083
 # [8,] 0.046          0.089
 # [9,] 0.092          0.083
# [10,] 0.046          0.077

      # HORECA
pop <- c(592,736,835,827,976)
 prop <- c(0.1875,0.2079,0.177,0.1463,0.08709) #FR, DEU, ITA, NL, ESP
  decrease <- round(pop*prop)
decrease
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/592 + p[j]*(1-p[j])/592))
    }
   }
   round(cbind(value,critical.range),3)
         # value critical.range
 # [1,] 0.020          0.071
 # [2,] 0.011          0.069
 # [3,] 0.041          0.067
 # [4,] 0.100          0.061
 # [5,] 0.031          0.071
 # [6,] 0.062          0.068
 # [7,] 0.121          0.063
 # [8,] 0.031          0.066
 # [9,] 0.090          0.060
# [10,] 0.059          0.057
  
         # retail
pop <- c(508,587,771,727,777)
 prop <- c(0.2461,0.2095,0.159,0.1073,0.08484) #FR, DEU, ITA, NL, ESP
  decrease <- round(pop*prop)
decrease
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/508 + p[j]*(1-p[j])/508))
    }
   }
   round(cbind(value,critical.range),3)
      # value critical.range
 # [1,] 0.037          0.081
 # [2,] 0.087          0.077
 # [3,] 0.139          0.072
 # [4,] 0.161          0.070
 # [5,] 0.050          0.075
 # [6,] 0.102          0.070
 # [7,] 0.125          0.067
 # [8,] 0.052          0.065
 # [9,] 0.074          0.063
# [10,] 0.022          0.057
   
   ### can't afford
   # transport
pop <- c(466,672,898,817,901)
 prop <- c(0.03991,0.03049,0.04253,0.05087,0.03024) #FR, DEU, ITA, NL, ESP
  decrease <- round(pop*prop)
decrease
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/466 + p[j]*(1-p[j])/466))
    }
   }
   round(cbind(value,critical.range),3)
      # value critical.range
 # [1,] 0.009          0.037
 # [2,] 0.003          0.040
 # [3,] 0.011          0.042
 # [4,] 0.010          0.037
 # [5,] 0.012          0.038
 # [6,] 0.020          0.040
 # [7,] 0.000          0.035
 # [8,] 0.008          0.043
 # [9,] 0.012          0.038
# [10,] 0.021          0.040

# travel
pop <- c(584,826,920,879,879)
 prop <- c(0.1684,0.1115,0.1817,0.126,0.093) #FR, DEU, ITA, NL, ESP
  decrease <- round(pop*prop)
decrease
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/584 + p[j]*(1-p[j])/584))
    }
   }
   round(cbind(value,critical.range),3)
        # value critical.range 
 # [1,] 0.057          0.062
 # [2,] 0.013          0.068
 # [3,] 0.042          0.064
 # [4,] 0.075          0.060
 # [5,] 0.070          0.063
 # [6,] 0.014          0.058
 # [7,] 0.019          0.055
 # [8,] 0.056          0.065
 # [9,] 0.089          0.062
# [10,] 0.033          0.056

   # services
pop <- c(329,482,657,485,676)
 prop <- c(0.1464,0.09895,0.1395,0.1289,0.06548) #FR, DEU, ITA, NL, ESP
  decrease <- round(pop*prop)
decrease
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/329 + p[j]*(1-p[j])/329))
    }
   }
   round(cbind(value,critical.range),3)
      # value critical.range
# [1,] 0.047          0.079
 # [2,] 0.007          0.084
 # [3,] 0.018          0.083
 # [4,] 0.081          0.073
 # [5,] 0.041          0.078
 # [6,] 0.030          0.076
 # [7,] 0.033          0.066
 # [8,] 0.011          0.082
 # [9,] 0.074          0.072
# [10,] 0.063          0.071

      # HORECA
pop <- c(592,736,835,827,976)
 prop <- c(0.1436,0.07065,0.1329,0.1233,0.0666) #FR, DEU, ITA, NL, ESP
  decrease <- round(pop*prop)
decrease
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/592 + p[j]*(1-p[j])/592))
    }
   }
   round(cbind(value,critical.range),4)
         # value critical.range
 # [1,] 0.073          0.055
 # [2,] 0.011          0.062
 # [3,] 0.020          0.061
 # [4,] 0.077          0.054
 # [5,] 0.062          0.054
 # [6,] 0.053          0.053
 # [7,] 0.004          0.045
 # [8,] 0.010          0.060
 # [9,] 0.066          0.053
# [10,] 0.057          0.052
  
         # retail
pop <- c(508,587,771,727,777)
 prop <- c(0.06299,0.04429,0.1154,0.07253,0.05148) #FR, DEU, ITA, NL, ESP
  decrease <- round(pop*prop)
decrease
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/508 + p[j]*(1-p[j])/508))
    }
   }
   round(cbind(value,critical.range),3)
      # value critical.range
 # [1,] 0.019          0.044
 # [2,] 0.052          0.055
 # [3,] 0.010          0.049
 # [4,] 0.012          0.045
 # [5,] 0.071          0.052
 # [6,] 0.028          0.045
 # [7,] 0.007          0.041
 # [8,] 0.043          0.056
 # [9,] 0.064          0.053
# [10,] 0.021          0.047
   
      ### save more 
   # transport
pop <- c(466,672,898,817,901)
 prop <- c(0.07982,0.09909,0.131,0.04467,0.07391) #FR, DEU, ITA, NL, ESP
  decrease <- round(pop*prop)
decrease
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/466 + p[j]*(1-p[j])/466))
    }
   }
   round(cbind(value,critical.range),3)
      # value critical.range
 # [1,] 0.019          0.058
 # [2,] 0.051          0.062
 # [3,] 0.035          0.049
 # [4,] 0.006          0.054
 # [5,] 0.032          0.064
 # [6,] 0.054          0.052
 # [7,] 0.025          0.057
 # [8,] 0.086          0.056
 # [9,] 0.057          0.061
# [10,] 0.029          0.048

# travel
pop <- c(584,826,920,879,879)
 prop <- c(0.1123,0.1152,0.1616,0.08018,0.132) #FR, DEU, ITA, NL, ESP
  decrease <- round(pop*prop)
decrease
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/584 + p[j]*(1-p[j])/584))
    }
   }
   round(cbind(value,critical.range),3)
        # value critical.range 
      # value critical.range
 # [1,] 0.003          0.057
 # [2,] 0.049          0.062
 # [3,] 0.032          0.053
 # [4,] 0.020          0.059
 # [5,] 0.046          0.062
 # [6,] 0.035          0.053
 # [7,] 0.017          0.059
 # [8,] 0.081          0.058
 # [9,] 0.030          0.064
# [10,] 0.052          0.055

   # services
pop <- c(329,482,657,485,676)
 prop <- c(0.1931,0.1663,0.2822,0.1123,0.1994) #FR, DEU, ITA, NL, ESP
  decrease <- round(pop*prop)
decrease
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/329 + p[j]*(1-p[j])/329))
    }
   }
   round(cbind(value,critical.range),3)
      # value critical.range
 # [1,] 0.027          0.092
 # [2,] 0.089          0.102
 # [3,] 0.081          0.086
 # [4,] 0.006          0.095
 # [5,] 0.116          0.099
 # [6,] 0.054          0.083
 # [7,] 0.033          0.093
 # [8,] 0.170          0.093
 # [9,] 0.083          0.102
# [10,] 0.087          0.086

      # HORECA
pop <- c(592,736,835,827,976)
 prop <- c(0.1875,0.2079,0.1772,0.1463,0.08709) #FR, DEU, ITA, NL, ESP
  decrease <- round(pop*prop)
decrease
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/592 + p[j]*(1-p[j])/592))
    }
   }
   round(cbind(value,critical.range),4)
         # value critical.range
 # [1,] 0.0204         0.0713
 # [2,] 0.0103         0.0691
 # [3,] 0.0412         0.0667
 # [4,] 0.1004         0.0610
 # [5,] 0.0307         0.0705
 # [6,] 0.0616         0.0681
 # [7,] 0.1208         0.0626
 # [8,] 0.0309         0.0659
 # [9,] 0.0901         0.0601
# [10,] 0.0592         0.0572
  
         # retail
pop <- c(508,587,771,727,777)
 prop <- c(0.1142n0.155,0.2529,0.1004,0.1725) #FR, DEU, ITA, NL, ESP
  decrease <- round(pop*prop)
decrease
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/508 + p[j]*(1-p[j])/508))
    }
   }
   round(cbind(value,critical.range),3)
      # value critical.range
 # [1,] 0.020          0.077
 # [2,] 0.010          0.075
 # [3,] 0.041          0.072
 # [4,] 0.100          0.066
 # [5,] 0.031          0.076
 # [6,] 0.062          0.074
 # [7,] 0.121          0.068
 # [8,] 0.031          0.071
 # [9,] 0.090          0.065
# [10,] 0.059          0.062
   
   ### online substitutes
      # HORECA
pop <- c(592,736,835,827,976)
 prop <- c(0.03041,0.01359,0.01796,0.01209,0.007172) #FR, DEU, ITA, NL, ESP
  decrease <- round(pop*prop)
decrease
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/592 + p[j]*(1-p[j])/592))
    }
   }
   round(cbind(value,critical.range),4)
         # value critical.range
 # [1,] 0.0168         0.0262
 # [2,] 0.0124         0.0275
 # [3,] 0.0183         0.0258
 # [4,] 0.0232         0.0242
 # [5,] 0.0044         0.0223
 # [6,] 0.0015         0.0202
 # [7,] 0.0064         0.0181
 # [8,] 0.0059         0.0218
 # [9,] 0.0108         0.0199
# [10,] 0.0049         0.0175
  
         # retail
pop <- c(508,587,771,727,777)
 prop <- c(0.1673,0.09029,0.1193,0.1142,0.1094) #FR, DEU, ITA, NL, ESP
  decrease <- round(pop*prop)
decrease
prop.test(decrease, pop)

N=5 # nb of reasons
value = critical.range = c()
p <- prop
## Compute critical values.
for (i in 1:(N-1))
   { for (j in (i+1):N)
    {
     value = c(value,(abs(p[i]-p[j])))
     critical.range = c(critical.range,
      sqrt(qchisq(.95,4))*sqrt(p[i]*(1-p[i])/508 + p[j]*(1-p[j])/508))
    }
   }
   round(cbind(value,critical.range),3)
      # value critical.range
 # [1,] 0.077          0.064
 # [2,] 0.048          0.068
 # [3,] 0.053          0.067
 # [4,] 0.058          0.066
 # [5,] 0.029          0.059
 # [6,] 0.024          0.059
 # [7,] 0.019          0.058
 # [8,] 0.005          0.062
 # [9,] 0.010          0.061
# [10,] 0.005          0.061
 
