
 
setwd("/Users/isabelle/Dropbox/CovidEconomics/Consumption Dance Phase Data---ACES/Data")
library(haven)
 data <- read_dta("master_readytogo.dta")
 
 #	replace countrycode="DEU" if country==2
#	replace countrycode="ITA" if country==3
#	replace countrycode="ESP" if country==6
#	replace countrycode="FRA" if country==1
#	replace countrycode="NLD" if country==5

DEU <- subset(data, subset = data$country == 2)
ITA <- subset(data, subset = data$country == 3)
ESP <- subset(data, subset = data$country == 6)
FRA <- subset(data, subset = data$country == 1)
NLD <- subset(data, subset = data$country == 5)

### representativeness along regions: 
table(DEU$region_de_nuts2)/nrow(DEU)
          1          2          3          4 
0.13333333 0.15866667 0.04333333 0.03000000 
         5          6          7          8 
0.00800000 0.02200000 0.07533333 0.01933333 
         9         10         11         12 
0.09666667 0.21666667 0.05000000 0.01266667 
        13         14         15         16 
0.04733333 0.02800000 0.03400000 0.02466667 

table(ITA$region_it_nuts1)/nrow(ITA)
        1         2         3         4         5 
0.2693333 0.1853333 0.2006667 0.2320000 0.1126667 

table(FRA$region_fr_nuts1)/nrow(FRA) 
         1          2          3          4          5          6          7          8 
0.18733333 0.16800000 0.06000000 0.08333333 0.13666667 0.11133333 0.12733333 0.12600000 

table(ESP$region_es_nuts1)/nrow(ESP)
         1          2          3          4          5          6          7 
0.09260493 0.09660227 0.13857428 0.12058628 0.29113924 0.21652232 0.04397069 

table(NLD$region_nl_nuts1)/nrow(NLD)
        1         2         3         4 
0.1006667 0.2120000 0.5013333 0.1860000 

### along occupation
# France: 
sum(table(FRA$q10b)/nrow(FRA) ) *1500 ## give number of answers, a lot missing
715
table(FRA$q10b)/715
          # 1           2           3           4           5           6           7           8           9 
# 0.046153846 0.158041958 0.260139860 0.190209790 0.138461538 0.008391608 0.100699301 0.037762238 0.047552448 
         # 10 
# 0.012587413 
# Germany: 
sum(table(DEU$q10b)/nrow(DEU) ) *1500 ## give number of answers, a lot missing
789
table(DEU$q10b)/789
# SPAIN
sum(table(ESP$q10b)/nrow(ESP) ) *1501 ## give number of answers, a lot missing
803
table(ESP$q10b)/803
# ITALY
sum(table(ITA$q10b)/nrow(ITA) ) *1500 ## give number of answers, a lot missing
573
table(ITA$q10b)/573
# NL
sum(table(NLD$q10b)/nrow(NLD) ) *1500 ## give number of answers, a lot missing
690
table(NLD$q10b)/690

### along age: 
# Germany
table(DEU$age_groups)/nrow(DEU)
        # 1         2         3 
# 0.2420000 0.3346667 0.4233333 
# Spain
table(ESP$age_groups)/nrow(ESP)
# Italy
table(ITA$age_groups)/nrow(ITA)
# FRANCE
table(FRA$age_groups)/nrow(FRA)
# NL
table(NLD$age_groups)/nrow(NLD)

### along gender
# (1 is male, for all countries)
table(DEU$male)/(sum(table(DEU$male)/nrow(DEU) ) *1500)
table(FRA$male)/(sum(table(FRA$male)/nrow(DEU) ) *1500)
table(NLD$male)/(sum(table(NLD$male)/nrow(DEU) ) *1500)
table(ITA$male)/(sum(table(ITA$male)/nrow(DEU) ) *1500)
table(ESP$male)/(sum(table(ESP$male)/nrow(DEU) ) *1500)

## mean HH size
# germany
mean(DEU$numhhsize)
# France
mean(FRA$numhhsize)
# SPAIN
mean(ESP$numhhsize)
# Italy
mean(ITA$numhhsize)
# NL
mean(NLD$numhhsize)

## education
table(DEU$education_r2)/(sum(table(DEU$education_r2)/nrow(DEU) ) *1500)
table(FRA$education_r2)/(sum(table(FRA$education_r2)/nrow(FRA) ) *1500)
table(ITA$education_r2)/(sum(table(ITA$education_r2)/nrow(ITA) ) *1500)
table(ESP$education_r2)/(sum(table(ESP$education_r2)/nrow(ESP) ) *1500)
table(NLD$education_r2)/(sum(table(NLD$education_r2)/nrow(NLD) ) *1500)

# income (Fig A12)
table(DEU$income3_answered)/(sum(table(DEU$income3_answered)/nrow(DEU) ) *1500)
table(FRA$income3_answered)/(sum(table(FRA$income3_answered)/nrow(FRA) ) *1500)
table(ITA$income3_answered)/(sum(table(ITA$income3_answered)/nrow(ITA) ) *1500)
table(ESP$income3_answered)/(sum(table(ESP$income3_answered)/nrow(ESP) ) *1500)
table(NLD$income3_answered)/(sum(table(NLD$income3_answered)/nrow(NLD) ) *1500)

# unemployment rate in our sample
mean(DEU$unemployed, na.rm=TRUE)
mean(FRA$unemployed, na.rm=TRUE)
mean(ITA$unemployed, na.rm=TRUE)
mean(ESP$unemployed, na.rm=TRUE)
mean(NLD$unemployed, na.rm=TRUE)